Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Interface LQTreeConstants

All Known Implementing Classes:
  LQCondNode, LQDupElimNode, LQExprNode, LQGroupByNode, LQJoinNode, LQMergeNode, LQNode, LQOrderByNode, LQProductNode, LQProjNode, LQSelNode, LQTree, LQTreeBuilder, LQUnionNode, Optimizer

    public interface LQTreeConstants

Field Summary
`static int` | `ADD`
`static int` | `AGGREGATEFUNCTION`
`static int` | `AND`
`static int` | `APPEND`
`static int` | `ARITH_OP`
`static int` | `ARITHMETICFUNCTION`
`static int` | `AS_IDENTIFIER`
`static int` | `AS_TABLE`
`static int` | `BAG_DIFFERENCE`
`static int` | `BAG_INTERSECTION`
`static int` | `BAG_UNION`
`static int` | `BigDecimal`
`static int` | `COMPARISON_OP`
`static int` | `CONDITION`
`static int` | `CONSTANTEXPRESSION`
`static int` | `CROSSPRODUCT`
`static int` | `DIFFERENCE`
`static int` | `DISTRIBUTEDJOIN`
`static int` | `DUPLICATE_ELIMINATION`
`static int` | `DYNAMICHASHJOIN`
`static int` | `EARLYHASHJOIN`
`static int` | `EARLYHASHJOIN_NOBUFFER`
`static int` | `EXPRESSION`
`static int` | `FILTER`
`static int` | `FULLOUTERJOIN`
`static int` | `FUNCTION`
`static int` | `GROUPBY`
`static int` | `HAVING`
`static int` | `IDENTIFIER`
`static int` | `IN`
`static int` | `INNERJOIN`
`static int` | `INTEGER`
`static int` | `INTERSECTION`
`static int` | `JOIN`
`static int` | `LEFTOUTERJOIN`
`static int` | `MATCHFUNCTION`
`static int` | `MERGE`
`static int` | `MERGEJOIN`
`static int` | `MINIMUM_JOIN_BUFFER_SIZE`
`static int` | `MULT`
`static int` | `MULT_OP`
`static int` | `NESTEDLOOPJOIN`
`static int` | `NOT`
`static int` | `OR`
`static int` | `ORDERBY`
`static int` | `PRODUCT`
`static int` | `PROJECTION`
`static int` | `REAL`
`static int` | `RIGHTOUTERJOIN`
`static int` | `SELECTION`
`static int` | `SQLPATTERN`
`static int` | `STRING`
`static int` | `TABLE`
`static int` | `TABLE_IDENTIFIER`
`static int` | `UNION`
`static int` | `UNKNOWN`
`static int` | `XOR`

Field Detail

### PROJECTION

    static final int PROJECTION

See Also:
  Constant Field Values

### SELECTION

    static final int SELECTION

See Also:
  Constant Field Values

### PRODUCT

    static final int PRODUCT

See Also:
  Constant Field Values

### ORDERBY

    static final int ORDERBY

See Also:
  Constant Field Values

### GROUPBY

    static final int GROUPBY

See Also:
  Constant Field Values

### TABLE

    static final int TABLE

See Also:
  Constant Field Values

### AS_TABLE

    static final int AS_TABLE

See Also:
  Constant Field Values

### CONDITION

    static final int CONDITION

See Also:
  Constant Field Values

### HAVING

    static final int HAVING

See Also:
  Constant Field Values

### UNION

    static final int UNION

See Also:
  Constant Field Values

### INTERSECTION

    static final int INTERSECTION

See Also:
  Constant Field Values

### DIFFERENCE

    static final int DIFFERENCE

See Also:
  Constant Field Values

### BAG_UNION

    static final int BAG_UNION

See Also:
  Constant Field Values

### BAG_INTERSECTION

    static final int BAG_INTERSECTION

See Also:
  Constant Field Values

### BAG_DIFFERENCE

    static final int BAG_DIFFERENCE

See Also:
  Constant Field Values

### DUPLICATE_ELIMINATION

    static final int DUPLICATE_ELIMINATION

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### STRING

    static final int STRING

See Also:
  Constant Field Values

### FUNCTION

    static final int FUNCTION

See Also:
  Constant Field Values

### AS_IDENTIFIER

    static final int AS_IDENTIFIER

See Also:
  Constant Field Values

### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

### REAL

    static final int REAL

See Also:
  Constant Field Values

### ADD

    static final int ADD

See Also:
  Constant Field Values

### MULT

    static final int MULT

See Also:
  Constant Field Values

### ARITH_OP

    static final int ARITH_OP

See Also:
  Constant Field Values

### MULT_OP

    static final int MULT_OP

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### IN

    static final int IN

See Also:
  Constant Field Values

### COMPARISON_OP

    static final int COMPARISON_OP

See Also:
  Constant Field Values

### TABLE_IDENTIFIER

    static final int TABLE_IDENTIFIER

See Also:
  Constant Field Values

### UNKNOWN

    static final int UNKNOWN

See Also:
  Constant Field Values

### SQLPATTERN

    static final int SQLPATTERN

See Also:
  Constant Field Values

### XOR

    static final int XOR

See Also:
  Constant Field Values

### EXPRESSION

    static final int EXPRESSION

See Also:
  Constant Field Values

### AGGREGATEFUNCTION

    static final int AGGREGATEFUNCTION

See Also:
  Constant Field Values

### ARITHMETICFUNCTION

    static final int ARITHMETICFUNCTION

See Also:
  Constant Field Values

### CONSTANTEXPRESSION

    static final int CONSTANTEXPRESSION

See Also:
  Constant Field Values

### MATCHFUNCTION

    static final int MATCHFUNCTION

See Also:
  Constant Field Values

### MERGE

    static final int MERGE

See Also:
  Constant Field Values

### CROSSPRODUCT

    static final int CROSSPRODUCT

See Also:
  Constant Field Values

### RIGHTOUTERJOIN

    static final int RIGHTOUTERJOIN

See Also:
  Constant Field Values

### LEFTOUTERJOIN

    static final int LEFTOUTERJOIN

See Also:
  Constant Field Values

### FULLOUTERJOIN

    static final int FULLOUTERJOIN

See Also:
  Constant Field Values

### INNERJOIN

    static final int INNERJOIN

See Also:
  Constant Field Values

### APPEND

    static final int APPEND

See Also:
  Constant Field Values

### JOIN

    static final int JOIN

See Also:
  Constant Field Values

### FILTER

    static final int FILTER

See Also:
  Constant Field Values

### MERGEJOIN

    static final int MERGEJOIN

See Also:
  Constant Field Values

### DYNAMICHASHJOIN

    static final int DYNAMICHASHJOIN

See Also:
  Constant Field Values

### DISTRIBUTEDJOIN

    static final int DISTRIBUTEDJOIN

See Also:
  Constant Field Values

### EARLYHASHJOIN

    static final int EARLYHASHJOIN

See Also:
  Constant Field Values

### EARLYHASHJOIN_NOBUFFER

    static final int EARLYHASHJOIN_NOBUFFER

See Also:
  Constant Field Values

### NESTEDLOOPJOIN

    static final int NESTEDLOOPJOIN

See Also:
  Constant Field Values

### BigDecimal

    static final int BigDecimal

See Also:
  Constant Field Values

### MINIMUM_JOIN_BUFFER_SIZE

    static final int MINIMUM_JOIN_BUFFER_SIZE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD